{"openapi":"3.1.1","info":{"title":"OAIS Catalog API","version":"1.0.0","description":"Free, authenticated discovery of public AI catalogs. No inference or billing. All limits are shared by account."},"servers":[{"url":"https://openaisuite.com/api/v1"}],"security":[{"bearerKey":[]}],"paths":{"/models/":{"get":{"operationId":"models","summary":"List active models","tags":["models"],"description":"Required scope: models:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}},{"name":"q","in":"query","required":false,"schema":{"type":"string","maxLength":160}},{"name":"family","in":"query","required":false,"schema":{"type":"string","maxLength":160}},{"name":"provider","in":"query","required":false,"schema":{"type":"string","maxLength":160}},{"name":"organization","in":"query","required":false,"schema":{"type":"string","maxLength":160}},{"name":"reasoning","in":"query","required":false,"schema":{"type":"string","maxLength":160}},{"name":"open_weights","in":"query","required":false,"schema":{"type":"string","maxLength":160}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Model"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/models/{organization}/{model}/":{"get":{"operationId":"model","summary":"Get a model","tags":["models"],"description":"Required scope: models:read. ","parameters":[{"name":"organization","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"model","in":"path","required":true,"schema":{"type":"string","maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Detail"},{"properties":{"data":{"$ref":"#/components/schemas/Model"}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/models/{organization}/{model}/offers/":{"get":{"operationId":"modelOffers","summary":"Compare model offers","tags":["models"],"description":"Required scope: models:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"organization","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"model","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Offer"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/models/{organization}/{model}/benchmarks/":{"get":{"operationId":"modelBenchmarks","summary":"Read mapped benchmark observations","tags":["models"],"description":"Required scope: models:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"organization","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"model","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Observation"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/models/{organization}/{model}/performance/":{"get":{"operationId":"modelPerformance","summary":"Read observed provider performance","tags":["models"],"description":"Required scope: models:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"organization","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"model","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Offer"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/models/{organization}/{model}/activity/":{"get":{"operationId":"modelActivity","summary":"Read daily observed token activity","tags":["models"],"description":"Required scope: models:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"organization","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"model","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Activity"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/models/{organization}/{model}/applications/":{"get":{"operationId":"modelApplications","summary":"Read mapped application observations","tags":["models"],"description":"Required scope: models:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"organization","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"model","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Observation"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/offers/{id}/":{"get":{"operationId":"offer","summary":"Get a provider offer","tags":["models"],"description":"Required scope: models:read. ","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Detail"},{"properties":{"data":{"$ref":"#/components/schemas/Offer"}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/families/":{"get":{"operationId":"families","summary":"List model families","tags":["families"],"description":"Required scope: families:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}},{"name":"q","in":"query","required":false,"schema":{"type":"string","maxLength":160}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Family"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/families/{id}/":{"get":{"operationId":"family","summary":"Get a family","tags":["families"],"description":"Required scope: families:read. ","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Detail"},{"properties":{"data":{"$ref":"#/components/schemas/Family"}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/families/{id}/models/":{"get":{"operationId":"familyModels","summary":"List family models","tags":["models"],"description":"Required scope: models:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Model"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/providers/":{"get":{"operationId":"providers","summary":"List serving providers","tags":["providers"],"description":"Required scope: providers:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}},{"name":"q","in":"query","required":false,"schema":{"type":"string","maxLength":160}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Provider"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/providers/{id}/":{"get":{"operationId":"provider","summary":"Get a provider","tags":["providers"],"description":"Required scope: providers:read. ","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Detail"},{"properties":{"data":{"$ref":"#/components/schemas/Provider"}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/providers/{id}/models/":{"get":{"operationId":"providerModels","summary":"List provider models","tags":["models"],"description":"Required scope: models:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Model"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/providers/{id}/offers/":{"get":{"operationId":"providerOffers","summary":"List provider offers","tags":["models"],"description":"Required scope: models:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Offer"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/organizations/":{"get":{"operationId":"organizations","summary":"List public organizations","tags":["organizations"],"description":"Required scope: organizations:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}},{"name":"q","in":"query","required":false,"schema":{"type":"string","maxLength":160}},{"name":"kind","in":"query","required":false,"schema":{"type":"string","maxLength":160}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Organization"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/organizations/{slug}/":{"get":{"operationId":"organization","summary":"Get an organization","tags":["organizations"],"description":"Required scope: organizations:read. ","parameters":[{"name":"slug","in":"path","required":true,"schema":{"type":"string","maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Detail"},{"properties":{"data":{"$ref":"#/components/schemas/Organization"}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/organizations/{slug}/models/":{"get":{"operationId":"organizationModels","summary":"List organization models","tags":["models"],"description":"Required scope: models:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"slug","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Model"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/organizations/{slug}/resources/":{"get":{"operationId":"organizationResources","summary":"List public Collections and Stacks","tags":["organizations"],"description":"Required scope: organizations:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"slug","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Resource"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/organizations/{slug}/resources/{id}/":{"get":{"operationId":"organizationResource","summary":"Get a public Collection or Stack","tags":["organizations"],"description":"Required scope: organizations:read. ","parameters":[{"name":"slug","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"id","in":"path","required":true,"schema":{"type":"string","maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Detail"},{"properties":{"data":{"$ref":"#/components/schemas/Resource"}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/skills/":{"get":{"operationId":"skills","summary":"List active Skills","tags":["skills"],"description":"Required scope: skills:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}},{"name":"q","in":"query","required":false,"schema":{"type":"string","maxLength":160}},{"name":"source","in":"query","required":false,"schema":{"type":"string","maxLength":160}},{"name":"official","in":"query","required":false,"schema":{"type":"string","maxLength":160}},{"name":"topic","in":"query","required":false,"schema":{"type":"string","maxLength":160}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Skill"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/skills/{sourceType}/{owner}/{repository}/{skill}/":{"get":{"operationId":"skill","summary":"Get a Skill by its full identity","tags":["skills"],"description":"Required scope: skills:read. ","parameters":[{"name":"sourceType","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"owner","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"repository","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"skill","in":"path","required":true,"schema":{"type":"string","maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Detail"},{"properties":{"data":{"$ref":"#/components/schemas/Skill"}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/skills/{sourceType}/{owner}/{repository}/{skill}/audits/":{"get":{"operationId":"skillAudits","summary":"Read available audit signals","tags":["skills"],"description":"Required scope: skills:read. ","parameters":[{"name":"sourceType","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"owner","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"repository","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"skill","in":"path","required":true,"schema":{"type":"string","maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Detail"},{"properties":{"data":{"$ref":"#/components/schemas/Audits"}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/skills/{sourceType}/{owner}/{repository}/{skill}/document/":{"get":{"operationId":"skillDocument","summary":"Read the current public Skill document","tags":["skill_content"],"description":"Required scope: skill_content:read. ","parameters":[{"name":"sourceType","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"owner","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"repository","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"skill","in":"path","required":true,"schema":{"type":"string","maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Detail"},{"properties":{"data":{"$ref":"#/components/schemas/Document"}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/publishers/":{"get":{"operationId":"publishers","summary":"List official Skill publishers","tags":["skills"],"description":"Required scope: skills:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Publisher"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/mcps/":{"get":{"operationId":"mcps","summary":"List active and deprecated MCP servers","tags":["mcps"],"description":"Required scope: mcps:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}},{"name":"q","in":"query","required":false,"schema":{"type":"string","maxLength":160}},{"name":"namespace","in":"query","required":false,"schema":{"type":"string","maxLength":160}},{"name":"status","in":"query","required":false,"schema":{"type":"string","maxLength":160}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Mcp"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/mcps/{namespace}/{name}/":{"get":{"operationId":"mcp","summary":"Get an MCP server","tags":["mcps"],"description":"Required scope: mcps:read. ","parameters":[{"name":"namespace","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"name","in":"path","required":true,"schema":{"type":"string","maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Detail"},{"properties":{"data":{"$ref":"#/components/schemas/Mcp"}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/mcps/{namespace}/{name}/connection/":{"get":{"operationId":"mcpConnection","summary":"Read an inert connection projection","tags":["mcps"],"description":"Required scope: mcps:read. ","parameters":[{"name":"namespace","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"name","in":"path","required":true,"schema":{"type":"string","maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Detail"},{"properties":{"data":{"$ref":"#/components/schemas/Connection"}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/topics/":{"get":{"operationId":"topics","summary":"List Skill topics","tags":["topics"],"description":"Required scope: topics:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Topic"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/topics/{slug}/skills/":{"get":{"operationId":"topicSkills","summary":"List Skills in a topic","tags":["skills"],"description":"Required scope: skills:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"slug","in":"path","required":true,"schema":{"type":"string","maxLength":200}},{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Skill"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/articles/":{"get":{"operationId":"articles","summary":"List recent published editorial metadata","tags":["articles"],"description":"Required scope: articles:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Article"}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/articles/{slug}/":{"get":{"operationId":"article","summary":"Get published editorial metadata","tags":["articles"],"description":"Required scope: articles:read. ","parameters":[{"name":"slug","in":"path","required":true,"schema":{"type":"string","maxLength":200}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Detail"},{"properties":{"data":{"$ref":"#/components/schemas/Article"}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/search/":{"get":{"operationId":"search","summary":"Search a selected public catalog","tags":["platform"],"description":"Required scope: selected catalog:read. Forward ID cursor pagination. No snapshot guarantee. Cursors expire after one hour.","parameters":[{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":25,"default":25}},{"name":"cursor","in":"query","schema":{"type":"string","maxLength":1600}},{"name":"q","in":"query","required":true,"schema":{"type":"string","maxLength":160}},{"name":"type","in":"query","required":true,"schema":{"type":"string","maxLength":160}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Page"},{"properties":{"data":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/Model"},{"$ref":"#/components/schemas/Skill"},{"$ref":"#/components/schemas/Mcp"},{"$ref":"#/components/schemas/Organization"},{"$ref":"#/components/schemas/Provider"},{"$ref":"#/components/schemas/Family"}]}}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/stats/":{"get":{"operationId":"stats","summary":"Read public catalog counts","tags":["platform"],"description":"Required scope: any valid catalog key. ","parameters":[],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Detail"},{"properties":{"data":{"$ref":"#/components/schemas/Stats"}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}},"/usage/":{"get":{"operationId":"usage","summary":"Read your remaining allowance","tags":["platform"],"description":"Required scope: any valid catalog key. ","parameters":[],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Detail"},{"properties":{"data":{"$ref":"#/components/schemas/Usage"}}}]}}}},"304":{"description":"Unchanged; zero usage units"},"400":{"description":"Invalid input","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"401":{"description":"Invalid API key","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"403":{"description":"Insufficient access","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"409":{"description":"Expired cursor","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"422":{"description":"Response too large","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"429":{"description":"Limit reached","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}},"503":{"description":"Temporarily unavailable","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/Problem"}}}}}}}},"components":{"securitySchemes":{"bearerKey":{"type":"http","scheme":"bearer","bearerFormat":"oais_*"}},"schemas":{"Model":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Full model identity, including the organization prefix."},"name":{"type":"string","description":"Display name."},"family_id":{"type":["string","null"],"description":"Model family identity."},"organization_catalog_id":{"type":"string","description":"Catalog organization identity."},"organization_slug":{"type":["string","null"],"description":"Current public organization slug."},"released_on":{"type":["string","null"],"description":"Release date as YYYY-MM-DD when known."},"context_tokens":{"type":["string","null"],"description":"Exact integer token capacity serialized as a decimal string."},"open_weights":{"type":["boolean","null"],"description":"Whether weights are open; unknown is null."},"reasoning":{"type":["boolean","null"],"description":"Reasoning support; unknown is null."},"offer_count":{"type":"integer","description":"Active offer count."},"provider_count":{"type":"integer","description":"Distinct serving provider count."},"updated_at":{"type":["string","null"],"format":"date-time","description":"Catalog record update time."},"url":{"type":"string","description":"Canonical OAIS model page."},"api_url":{"type":"string","description":"API detail URL."},"specifications":{"type":"object","additionalProperties":false,"properties":{"context":{"type":["number","null"],"description":"A measured value, or null when unavailable."},"input":{"type":["number","null"],"description":"A measured value, or null when unavailable."},"output":{"type":["number","null"],"description":"A measured value, or null when unavailable."},"reasoning":{"type":["boolean","null"],"description":"Reasoning support"},"tools":{"type":["boolean","null"],"description":"Tool calling support"},"structured":{"type":["boolean","null"],"description":"Structured output support"},"temperature":{"type":["boolean","null"],"description":"Temperature control"},"inputModalities":{"type":["array","null"],"items":{"type":"string"}},"outputModalities":{"type":["array","null"],"items":{"type":"string"}},"description":{"type":["string","null"],"description":"Description."},"knowledge":{"type":["string","null"],"description":"Reported knowledge cutoff."},"license":{"type":["string","null"],"description":"Reported license; null is unknown."}}}},"additionalProperties":false},"Offer":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Stable offer identity."},"model_id":{"type":"string","description":"Related model identity."},"provider_id":{"type":"string","description":"Serving provider identity."},"route_id":{"type":"string","description":"Provider routing identity."},"channel":{"type":"string","description":"Observed delivery channel."},"host_name":{"type":["string","null"],"description":"Reported host."},"context_tokens":{"type":["string","null"],"description":"Exact token capacity as a decimal string."},"pricing":{"type":"object","properties":{"currency":{"type":"string","enum":["USD"]},"unit":{"type":"string","enum":["million_tokens"]},"input":{"type":["string","null"],"description":"Exact USD input price per million tokens."},"output":{"type":["string","null"],"description":"Exact USD output price per million tokens."}},"additionalProperties":false},"observed_at":{"type":["string","null"],"format":"date-time","description":"Observation timestamp."},"capabilities":{"type":"object","additionalProperties":false,"properties":{"context":{"type":["number","null"],"description":"A measured value, or null when unavailable."},"input":{"type":["number","null"],"description":"A measured value, or null when unavailable."},"output":{"type":["number","null"],"description":"A measured value, or null when unavailable."},"reasoning":{"type":["boolean","null"],"description":"Reasoning support"},"tools":{"type":["boolean","null"],"description":"Tool calling support"},"structured":{"type":["boolean","null"],"description":"Structured output support"},"temperature":{"type":["boolean","null"],"description":"Temperature control"},"inputModalities":{"type":["array","null"],"items":{"type":"string"}},"outputModalities":{"type":["array","null"],"items":{"type":"string"}}}},"quantization":{"type":["string","null"],"description":"Reported quantization."},"api_url":{"type":["string","null"],"description":"Provider API link when available."},"performance":{"type":"object","properties":{"latency_ms":{"type":["object","null"],"additionalProperties":false,"properties":{"p50":{"type":["number","null"],"description":"A measured value, or null when unavailable."},"p75":{"type":["number","null"],"description":"A measured value, or null when unavailable."},"p90":{"type":["number","null"],"description":"A measured value, or null when unavailable."},"p99":{"type":["number","null"],"description":"A measured value, or null when unavailable."}}},"throughput_tokens_per_second":{"type":["object","null"],"additionalProperties":false,"properties":{"p50":{"type":["number","null"],"description":"A measured value, or null when unavailable."},"p75":{"type":["number","null"],"description":"A measured value, or null when unavailable."},"p90":{"type":["number","null"],"description":"A measured value, or null when unavailable."},"p99":{"type":["number","null"],"description":"A measured value, or null when unavailable."}}},"uptime_percent":{"type":"object","properties":{"uptimeDay":{"type":["number","null"],"description":"A measured value, or null when unavailable."},"uptimeHour":{"type":["number","null"],"description":"A measured value, or null when unavailable."},"uptimeFiveMinutes":{"type":["number","null"],"description":"A measured value, or null when unavailable."}},"additionalProperties":false}},"additionalProperties":false}},"additionalProperties":false},"Family":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Family identity."},"name":{"type":"string","description":"Family name."},"model_count":{"type":"integer","description":"Active model count."},"updated_at":{"type":["string","null"],"format":"date-time","description":"Most recent member model update."}},"additionalProperties":false},"Provider":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Provider identity."},"name":{"type":"string","description":"Provider name."},"api_url":{"type":["string","null"],"description":"Public API link."},"documentation_url":{"type":["string","null"],"description":"Documentation link."},"model_count":{"type":"integer","description":"Distinct active models."}},"additionalProperties":false},"Organization":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Stable organization UUID."},"slug":{"type":"string","description":"Editable public slug."},"name":{"type":"string","description":"Display name."},"summary":{"type":"string","description":"Public summary."},"about":{"type":"string","description":"Public description; detail response only."},"website":{"type":"string","description":"Website or empty string."},"kind":{"type":"string","description":"company, university, classroom, nonprofit, government or community."},"socials":{"type":"object","additionalProperties":{"type":"string"}},"followers":{"type":"integer","description":"Public follower count."},"catalog_id":{"type":["string","null"],"description":"Catalog association; null for independent organizations."},"updated_at":{"type":["string","null"],"format":"date-time","description":"Profile update time."},"url":{"type":"string","description":"Public profile."},"logo_url":{"type":["string","null"],"description":"Public logo endpoint."}},"additionalProperties":false},"Skill":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Full source/skill identity."},"slug":{"type":"string","description":"Skill slug."},"name":{"type":"string","description":"Skill name."},"description":{"type":["string","null"],"description":"Public description."},"source":{"type":"string","description":"Repository identity or well-known domain."},"source_type":{"type":"string","enum":["github","well-known"]},"official":{"type":["boolean","null"],"description":"Catalog official publisher marker; not a security guarantee."},"installs":{"type":"string","description":"Observed installation count, exact decimal integer string."},"license":{"type":["string","null"],"description":"Recorded SPDX license; null when unknown."},"observed_at":{"type":["string","null"],"format":"date-time","description":"Last catalog observation."},"url":{"type":"string","description":"Public OAIS page."},"api_url":{"type":"string","description":"API detail URL with explicit source type."}},"additionalProperties":false},"Publisher":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Source identity."},"source_type":{"type":"string","description":"github or well-known."},"skill_count":{"type":"integer","description":"Active official Skills."}},"additionalProperties":false},"Mcp":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Full namespace/name identity."},"namespace":{"type":"string","description":"Namespace."},"name":{"type":"string","description":"Name within namespace."},"title":{"type":["string","null"],"description":"Display title."},"description":{"type":"string","description":"Public description."},"version":{"type":"string","description":"Current catalog version."},"status":{"type":"string","enum":["active","deprecated"]},"website_url":{"type":["string","null"],"description":"Publisher website."},"package_registry_types":{"type":"array","items":{"type":"string"}},"remote_transport_types":{"type":"array","items":{"type":"string"}},"has_packages":{"type":"boolean"},"has_remotes":{"type":"boolean"},"observed_at":{"type":["string","null"],"format":"date-time","description":"Reported catalog update."},"url":{"type":"string","description":"OAIS page."},"api_url":{"type":"string","description":"API detail URL."}},"additionalProperties":false},"Resource":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Public resource UUID."},"organization_id":{"type":"string","description":"Owning organization UUID."},"kind":{"type":"string","enum":["collection","stack"]},"title":{"type":"string","description":"Title."},"description":{"type":"string","description":"Public description."},"updated_at":{"type":["string","null"],"format":"date-time","description":"Resource update."},"items":{"type":"array","items":{"type":"object","properties":{"entity":{"type":"object","properties":{"type":{"type":"string","description":"skill or mcp"},"key":{"type":"string","description":"Catalog identity"},"title":{"type":"string","description":"Display title"},"available":{"type":"boolean"}},"additionalProperties":false},"pinned_version":{"type":["string","null"],"description":"Pinned version, when provided."}},"additionalProperties":false}},"items_truncated":{"type":"boolean","description":"Detail returns at most 100 items."}},"additionalProperties":false},"Observation":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Composite dataset and observation identity."},"dataset":{"type":"string","description":"Observation dataset."},"model_id":{"type":"string","description":"Explicitly matched model."},"route_id":{"type":["string","null"],"description":"Route identity."},"observed_at":{"type":["string","null"],"format":"date-time","description":"Observation time."},"observation":{"type":"object","properties":{"name":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"intelligence":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"coding":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"agentic":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"arena":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"category":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"elo":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"winRate":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"generationMs":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"benchmark":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"metric":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"score":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"standardDeviation":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"tasks":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"costPerTask":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"latencyPerTaskMs":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"lastRun":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"appSlug":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"appName":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"turnRange":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."},"medianCost":{"type":["string","number","null"],"description":"Recorded metric; missing values are null. Costs are USD, times ending in Ms are milliseconds."}},"additionalProperties":false}},"additionalProperties":false},"Activity":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"UTC observation date."},"day":{"type":"string","description":"YYYY-MM-DD."},"tokens":{"type":"string","description":"Exact aggregate observed tokens, decimal integer string."},"routes":{"type":"integer","description":"Number of observed routes."},"observed_at":{"type":["string","null"],"format":"date-time","description":"Last observation."}},"additionalProperties":false},"Topic":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Curated topic slug."},"name":{"type":"string","description":"Topic name."},"description":{"type":"string","description":"Public description."},"url":{"type":"string","description":"Canonical topic page."}},"additionalProperties":false},"Article":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Editorial identity."},"slug":{"type":"string","description":"Article slug."},"title":{"type":"string","description":"Title."},"url":{"type":"string","description":"Preserved root-level canonical URL."},"excerpt":{"type":"string","description":"Public excerpt."},"published_at":{"type":["string","null"],"format":"date-time","description":"Publication timestamp."},"updated_at":{"type":["string","null"],"format":"date-time","description":"Modification time when available; null for list metadata."}},"additionalProperties":false},"Audits":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Full Skill identity."},"audits":{"type":"array","items":{"type":"object","properties":{"provider":{"type":"string","description":"Audit provider"},"provider_slug":{"type":"string","description":"Provider slug"},"status":{"type":"string","description":"Recorded status"},"risk_level":{"type":["string","null"],"description":"Recorded risk; null is unknown."},"summary":{"type":"string","description":"Audit summary"},"audited_at":{"type":["string","null"],"format":"date-time","description":"Audit timestamp"}},"additionalProperties":false}},"notice":{"type":"string","description":"Security interpretation notice."}},"additionalProperties":false},"Document":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Full Skill identity."},"format":{"type":"string","enum":["markdown"]},"content":{"type":"string","description":"Inert UTF-8 Markdown; never execute automatically."},"license":{"type":["string","null"],"description":"Recorded license."}},"additionalProperties":false},"Connection":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Full MCP identity."},"connection":{"type":"object","description":"Existing bounded inert MCP projection, not original registry JSON. No execution, tool inventory or security verdict."}},"additionalProperties":false},"Stats":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"catalog"},"models":{"type":"integer","description":"Active public models count."},"skills":{"type":"integer","description":"Active public skills count."},"mcps":{"type":"integer","description":"Active public mcps count."},"organizations":{"type":"integer","description":"Active public organizations count."},"providers":{"type":"integer","description":"Active public providers count."},"families":{"type":"integer","description":"Active public families count."}},"additionalProperties":false},"Usage":{"type":"object","required":[],"properties":{"daily_limit":{"type":"integer","description":"Account daily unit allowance."},"monthly_limit":{"type":"integer","description":"Account monthly unit allowance."},"daily_units":{"type":"integer","description":"Used or reserved daily units."},"monthly_units":{"type":"integer","description":"Used or reserved monthly units."},"daily_bytes":{"type":"integer","description":"Used or reserved daily response bytes."},"daily_byte_limit":{"type":"integer","description":"Daily response-byte allowance."},"minute_limit":{"type":"integer","description":"Requests per minute."},"daily_reset_at":{"type":["string","null"],"format":"date-time","description":"Next daily UTC reset."},"monthly_reset_at":{"type":["string","null"],"format":"date-time","description":"Next monthly UTC reset."}},"additionalProperties":false},"Detail":{"type":"object","required":["data","meta"],"properties":{"data":{},"meta":{"$ref":"#/components/schemas/Meta"}}},"Page":{"type":"object","required":["data","pagination","links","meta"],"properties":{"data":{"type":"array","maxItems":100,"items":{"type":"object"}},"pagination":{"type":"object","required":["limit","has_more","next_cursor"],"properties":{"limit":{"type":"integer"},"has_more":{"type":"boolean"},"next_cursor":{"type":["string","null"]}}},"links":{"type":"object","properties":{"next":{"type":["string","null"]}}},"meta":{"$ref":"#/components/schemas/Meta"}}},"Meta":{"type":"object","properties":{"observed_at":{"type":["string","null"],"format":"date-time"},"stale":{"type":["boolean","null"]}}},"Problem":{"type":"object","required":["type","title","status","code","detail","request_id"],"properties":{"type":{"type":"string"},"title":{"type":"string"},"status":{"type":"integer"},"code":{"type":"string"},"detail":{"type":"string"},"request_id":{"type":"string"}}}}}}